NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::LineDesigner::SingleElementConveyorBuilder Class Reference


To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreateSingleElementConveyorBuilder

Created in NX9.0.0. More...

Inheritance diagram for NXOpen::LineDesigner::SingleElementConveyorBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::PointFirstConveyingSurfaceCroner ()
 Returns the first croner point
Created in NX9.0.0. More...
 
NXOpen::KFObjectKfObject ()
 Returns the kf object
Created in NX9.0.0. More...
 
NXOpen::DirectionMovingDirection ()
 Returns the dir vector
Created in NX9.0.0. More...
 
NXOpen::PointPointOnConveyingSurface ()
 Returns the point on surface
Created in NX9.0.0. More...
 
bool Reversible ()
 Returns the add railing toggle
Created in NX9.0.0. More...
 
NXOpen::PointSecondConveyingSurfaceCorner ()
 Returns the second corner point
Created in NX9.0.0. More...
 
void SetFirstConveyingSurfaceCroner (NXOpen::Point *firstConveyingSurfaceCroner)
 Sets the first croner point
Created in NX9.0.0. More...
 
void SetMovingDirection (NXOpen::Direction *dirVector)
 Sets the dir vector
Created in NX9.0.0. More...
 
void SetPointOnConveyingSurface (NXOpen::Point *pointOnConveyingSurface)
 Sets the point on surface
Created in NX9.0.0. More...
 
void SetReversible (bool reversible)
 Sets the add railing toggle
Created in NX9.0.0. More...
 
void SetSecondConveyingSurfaceCorner (NXOpen::Point *secondConveyingSurfaceCorner)
 Sets the second corner point
Created in NX9.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description


To create a new instance of this class, use NXOpen::LineDesigner::LineDesignerManager::CreateSingleElementConveyorBuilder

Created in NX9.0.0.


Member Function Documentation

NXOpen::Point* NXOpen::LineDesigner::SingleElementConveyorBuilder::FirstConveyingSurfaceCroner ( )

Returns the first croner point
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::KFObject* NXOpen::LineDesigner::SingleElementConveyorBuilder::KfObject ( )

Returns the kf object
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Direction* NXOpen::LineDesigner::SingleElementConveyorBuilder::MovingDirection ( )

Returns the dir vector
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Point* NXOpen::LineDesigner::SingleElementConveyorBuilder::PointOnConveyingSurface ( )

Returns the point on surface
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

bool NXOpen::LineDesigner::SingleElementConveyorBuilder::Reversible ( )

Returns the add railing toggle
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

NXOpen::Point* NXOpen::LineDesigner::SingleElementConveyorBuilder::SecondConveyingSurfaceCorner ( )

Returns the second corner point
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

void NXOpen::LineDesigner::SingleElementConveyorBuilder::SetFirstConveyingSurfaceCroner ( NXOpen::Point firstConveyingSurfaceCroner)

Sets the first croner point
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
firstConveyingSurfaceCronerfirstconveyingsurfacecroner
void NXOpen::LineDesigner::SingleElementConveyorBuilder::SetMovingDirection ( NXOpen::Direction dirVector)

Sets the dir vector
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
dirVectordirvector
void NXOpen::LineDesigner::SingleElementConveyorBuilder::SetPointOnConveyingSurface ( NXOpen::Point pointOnConveyingSurface)

Sets the point on surface
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
pointOnConveyingSurfacepointonconveyingsurface
void NXOpen::LineDesigner::SingleElementConveyorBuilder::SetReversible ( bool  reversible)

Sets the add railing toggle
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
reversiblereversible
void NXOpen::LineDesigner::SingleElementConveyorBuilder::SetSecondConveyingSurfaceCorner ( NXOpen::Point secondConveyingSurfaceCorner)

Sets the second corner point
Created in NX9.0.0.



License requirements : ld_line_designer ("FULL LINE DESIGNER")

Parameters
secondConveyingSurfaceCornersecondconveyingsurfacecorner

The documentation for this class was generated from the following file:
Copyright 2012 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.